## org.eclipse.wst.server.core
Interface IProjectProperties

Deprecated. Project facet support should now be used instead of this API. @see org.eclipse.wst.common.project.facet.core.IFacetedProject#getRuntime()

    public interface IProjectProperties

This interface holds information on the properties of a given project.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`IRuntime` `getRuntimeTarget()` Deprecated. Project facet support should now be used instead of this API. @see org.eclipse.wst.common.project.facet.core.IFacetedProject#getRuntime()

Method Detail

### getRuntimeTarget

    IRuntime getRuntimeTarget()

  Deprecated. Project facet support should now be used instead of this API. @see org.eclipse.wst.common.project.facet.core.IFacetedProject#getRuntime()

  Returns the current runtime target for this project.

  Returns:
    the current runtime target, or `null` if the project has no runtime target